using EvaPOS_API_FRAME.Comandos;
using EvaPOS_API_FRAME.RespuestasXML;
using EvaPosSrvCmd;
using EvaPosSrvDTO;
using EvaPosSrvResp;
using EvaPosSrvRespImp;
using Serilog;


/******************************************************************

        ESPACIO DE NOMBRES PARA IMPLEMENTAR COMANDOS.

*******************************************************************/
namespace EvaPosCmdImp
{
    /// <summary>
    /// Clase para inicializar el directorio de comandos.
    /// </summary>
    public class IniciaDirectorioCmds
    {
        public DirectorioCmds DirectorioCmds  {get; private set;} = new DirectorioCmds();
        public IniciaDirectorioCmds AgregaCmd(IComando cmd)
        {
            DirectorioCmds.AgregaComando(cmd);
            return this;
        }

        // TODO - Evaluar eliminar este paso por una forma automática en el mismo comando.
        /// <summary>
        /// Este método instancia cada comando y lo agrega al directorio de comandos.
        /// Agregar cada comando aquí.
        /// </summary>
        public static IniciaDirectorioCmds Cargar() 
        {
            return new IniciaDirectorioCmds()
            .AgregaCmd(new ErrorCmd())
            .AgregaCmd(new AddItemRequestCmd())
            .AgregaCmd(new InitializeRequestCmd())
            .AgregaCmd(new QueryStatusRequestCmd())
            .AgregaCmd(new ReportStatusEventsRequestCmd())
            .AgregaCmd(new SignOffResponseCmd())
            .AgregaCmd(new AddReceiptLinesRequestCmd())
            .AgregaCmd(new GetTotalsRequestCmd())
            .AgregaCmd(new AddTenderDebitCmd())
            .AgregaCmd(new PrintCurrentReceiptsRequestCmd())
            .AgregaCmd(new ReprintReceiptsCmd())
            .AgregaCmd(new TerminateRequestCmd())
            .AgregaCmd(new VoidTransactionCmd())
            .AgregaCmd(new RemoveReceiptLinesCmd())
            .AgregaCmd(new CancelActionCmd())
            .AgregaCmd(new AddCustomerBirthdateCmd())
            .AgregaCmd(new AddCustomerCmd())
            .AgregaCmd(new SuspendTransactionRequestCmd());

        }
    }
    
}