﻿using Serilog;
using static System.Net.Mime.MediaTypeNames;
using EvaPosSCOSrv;
using EvaPosSrvAplicacionImp;
using EvaPosCmdImp;
using EvaPosSrvRespImp;
using System;

/// <summary>
/// EvaPos-API : servidor api, sockets y rest.
/// Usa Serilog para bitácora.
/// </summary> 
class Program
{
    static void Main(string[] args)
    {
        Console.WriteLine();
        Console.WriteLine("Version: {0}", Environment.Version.ToString());
        Log.Logger = new LoggerConfiguration()
           .MinimumLevel.Debug()
           .WriteTo.Console()
           .WriteTo.File("C:\\GK-Gateway\\log\\evapos-api.log", rollingInterval: RollingInterval.Day)
           .CreateLogger();


        // TODO - opción de incluir la activación en la cadena de configuración.
        // TODO - aunque hace uso de una "invocación fluida" no parece ser el tipo de api que se beneficia de ese esquema.
        ServidorSocket servidor = new ServidorSocket()
            //.ConIp("127.0.0.1")
            .ConIp("192.168.101.70")
            .EnPuerto(6697)
            .AgregaDispensadorAdaptadores(IniciaDirectorioAdaptadores.Cargar().DirectorioAdaptadores)
            .AgregaDispensadorComandos(IniciaDirectorioCmds.Cargar().DirectorioCmds)
            .AgregaProcesadorAplicacion(new Aplicacion())
            .Activa();
    }
}